Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface PortletPersonalizationIdentifier

All Superinterfaces:
  Identifier, PageScopedObject, PersonalizationIdentifier, PortalScopedObject, ProfileScopedObject, Serializable

public interface PortletPersonalizationIdentifier
extends PageScopedObject, PersonalizationIdentifier

Interface `PortletPersonalizationIdentifier` is used to uniquely identify a `PortletPersonalization` instance in the portal framework.

Method Summary
`PagePersonalizationIdentifier` | `getPagePersonalizationIdentifier()` Returns the `PagePersonalizationIdentifier` that identifies the personalization that this object is contained within.
`PortletIdentifier` | `getPortletIdentifier()` Returns the `PortletIdentifier` that identifies the portlet that this `PortletPersonalization` is a personalization of.

Methods inherited from interface com.bea.portal.model.PageScopedObject
`getPageIdentifier`

Methods inherited from interface com.bea.portal.model.PortalScopedObject
`getPortalIdentifier`

Methods inherited from interface com.bea.portal.model.ProfileScopedObject
`getProfileIdentity`

Methods inherited from interface com.bea.portal.model.Identifier
`getId`

Method Detail

### getPortletIdentifier

    public PortletIdentifier getPortletIdentifier()

  Returns the `PortletIdentifier` that identifies the portlet that this `PortletPersonalization` is a personalization of.

  Returns:
    the portlet that this object is a personalization of.

### getPagePersonalizationIdentifier

    public PagePersonalizationIdentifier getPagePersonalizationIdentifier()

  Returns the `PagePersonalizationIdentifier` that identifies the personalization that this object is contained within.

  Returns:
    the page personalization that this portlet personalization is in

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved